API reference
Approvals & tasks
Tasks decided by people and the record of each decision.
Generated from the public API contract (OpenAPI). Descriptions in the contract are written in Japanese.
Endpoints
Section titled “Endpoints”listTasks
Section titled “listTasks”GET/v1/approvals/tasks
Parameters
Section titled “Parameters”| Name | In | Type | Required | Description |
|---|---|---|---|---|
status |
query | open | completed | cancelled |
||
mine |
query | boolean | 自分か自分のグループの Task だけ | |
case_id |
query | string | ||
limit |
query | integer |
Responses
Section titled “Responses”- 200 —
object: Task - default —
Problem: RFC 9457 Problem Details
listAssignmentRules
Section titled “listAssignmentRules”GET/v1/approvals/assignment-rules
approvals:tasks.read が必要。有効なバージョンの割り当ての規則(AssignmentRule)
Responses
Section titled “Responses”- 200 —
object: 割り当ての規則 - default —
Problem: RFC 9457 Problem Details
listDeciderPolicies
Section titled “listDeciderPolicies”GET/v1/approvals/decider-policies
approvals:tasks.read が必要。有効なバージョンの DeciderPolicy
Responses
Section titled “Responses”- 200 —
object: DeciderPolicy - default —
Problem: RFC 9457 Problem Details
getTask
Section titled “getTask”GET/v1/approvals/tasks/{id}
Parameters
Section titled “Parameters”| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string | yes |
Responses
Section titled “Responses”- 200 —
Task: Task - default —
Problem: RFC 9457 Problem Details
completeTask
Section titled “completeTask”POST/v1/approvals/tasks/{id}/complete
Parameters
Section titled “Parameters”| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string | yes | |
If-Match |
header | string | yes | 取得したときの ETag(version) |
Idempotency-Key |
header | string | 副作用を伴う POST ではサーバーが必須にする。SDK は無ければ自動で付けるので、型では省略できる |
Request body
Section titled “Request body”application/json
| Name | Type | Required | Description |
|---|---|---|---|
outcome |
string | yes | |
comment |
string | ||
action_digest |
string | 承認の Task で、決めた人が画面で見た承認の対象(ActionRequest)の digest。いまの内容と違えば 409 で、承認も却下も記録しない |
Responses
Section titled “Responses”- 200 —
Task: Task - default —
Problem: RFC 9457 Problem Details
claimTask
Section titled “claimTask”POST/v1/approvals/tasks/{id}/claim
Parameters
Section titled “Parameters”| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string | yes | |
If-Match |
header | string | yes | 取得したときの ETag(version) |
Idempotency-Key |
header | string | 副作用を伴う POST ではサーバーが必須にする。SDK は無ければ自動で付けるので、型では省略できる |
Responses
Section titled “Responses”- 200 —
Task: Task - default —
Problem: RFC 9457 Problem Details
releaseTask
Section titled “releaseTask”POST/v1/approvals/tasks/{id}/release
Parameters
Section titled “Parameters”| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string | yes | |
If-Match |
header | string | yes | 取得したときの ETag(version) |
Idempotency-Key |
header | string | 副作用を伴う POST ではサーバーが必須にする。SDK は無ければ自動で付けるので、型では省略できる |
Responses
Section titled “Responses”- 200 —
Task: Task - default —
Problem: RFC 9457 Problem Details